Page MenuHomePhabricator

GlobalRename is moving over existing pages, causing revisions to go missing (tracking)
Open, NormalPublic

Description

Issue: GlobalRename moves over pages that already exist, without previously moving those revisions out of the way, so they end up detached from the page and vanish.

Tracking bug for this issue, and discussion of potential solutions:

  • Delete the existing page and continue the move?
  • Abort and add an entry to Special:Log on the local wiki?

Event Timeline

Legoktm created this task.Apr 29 2015, 3:25 PM
Legoktm claimed this task.
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2015, 3:25 PM
Legoktm updated the task description. (Show Details)Apr 29 2015, 3:29 PM
Legoktm set Security to None.
Legoktm edited subscribers, added: hoo, csteipp, Keegan; removed: DerHexer.
Xeno added a subscriber: Xeno.Apr 29 2015, 3:41 PM

If I recall correctly, behaviour in RenameUser was an offer to delete the page and continue the move but in a global context that gives deletion ability to the global renamers group on any connected project.

Change 207486 had a related patch set uploaded (by Legoktm):
LocalPageMoveJob: Don't overwrite existing pages

https://gerrit.wikimedia.org/r/207486

Change 207486 merged by jenkins-bot:
LocalPageMoveJob: Don't overwrite existing pages

https://gerrit.wikimedia.org/r/207486

Change 207501 had a related patch set uploaded (by Legoktm):
MovePage: Move target existence check into isValidMove()

https://gerrit.wikimedia.org/r/207501

Change 207501 merged by Anomie:
MovePage: Move target existence check into isValidMove()

https://gerrit.wikimedia.org/r/207501

Change 207557 had a related patch set uploaded (by Legoktm):
MovePage: Move target existence check into isValidMove()

https://gerrit.wikimedia.org/r/207557

Keegan moved this task from Backlog to Review requested on the GlobalRename board.Apr 29 2015, 8:44 PM

Change 207557 merged by jenkins-bot:
MovePage: Move target existence check into isValidMove()

https://gerrit.wikimedia.org/r/207557

Stryn added a subscriber: Stryn.Apr 30 2015, 9:18 PM
Glaisher triaged this task as Normal priority.Sep 28 2015, 11:27 AM
Glaisher removed a project: Patch-For-Review.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 28 2015, 11:29 AM